#!/bin/bash

function stop_devicehub()
{
	/etc/init.d/devicehub.sh stop
}
function start_devicehub()
{
	/etc/init.d/devicehub.sh start
}
if [ -e "/clouddata" ]; then
	stop_devicehub
fi

rm /var/lib/apt/lists/lock
rm /var/cache/apt/archives/lock
rm /var/lib/dpkg/lock
apt -y remove nodejs
apt -y remove npm
apt-get -y update

apt-get -y install unzip build-essential make cmake
apt-get -y install python ntpdate mysql-server openssl libssl-dev libncurses5-dev bison libmysqlclient-dev dialog
apt-get -y install liblz4-dev liblzo2-dev libpam0g-dev

/etc/init.d/mysql stop
if [ -e "/clouddata" ]; then
	start_devicehub
fi
